質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.50%

  • Facebook

    403questions

    Facebookは、実名登録制のSNS(ソーシャル・ネットワーキング・サービス)です。開発者用のデベロッパーサイトが存在し、一般ユーザーによるFacebook向けアプリケーション開発が可能です。

  • SDK

    121questions

    SDK(software development kit)は特定のハードウェアのプラットフォーム、開発環境又はソフトウェアパッケージでソフトウェアをつくるのに必要な開発ツールのセットです。SDKはAPI、IDE又は他の開発ツールとフレームワークを組み合わせたもので構成されていることがあります。

  • Facebook Graph API

    116questions

    Facebook Graph APIとは Facebookのグラフデータベース用のAPIであり、対応言語はPHP、Perl、ActionScript、JavaScriptなどがあります。

Facebook グラフAPI v2.6 アップグレードのリマインダーについて

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 343

Facebook <noreply@developers.facebook.com>から「{アプリ名}の新しい開発者アラート」という件名で、下記内容のメールが届きました。

『v2.6 アップグレードのリマインダー

アプリ「XXXXXX」は、13 July, 2018.に2年の使用期間が終了するグラフAPIv2.6にアクセスしています。スムーズに移行できるように、グラフAPIv2.7以降への呼び出しをすべて移行してください。この変更がアプリに与える影響について詳しくは、 API Upgrade Tool でご確認ください。

注: APIアップグレードツールで影響された呼び出しが見当たらない場合、アプリ/コードはこのアップグレードによる影響を受けない可能性があります。』

調べてみたところ、サイト上で読み込んでいるSDKのJSは、バージョン【2.8】なのですが、
( //connect.facebook.net/ja_JP/sdk.js#xfbml=1&appId=XXX&version=v2.8 )

Facebook for developpers にログイン → 左メニュー:設定 > 詳細設定 の中の、
「APIバージョンのアップグレード」の"すべてのコールをアップグレード"と"アプリの役割のコールをアップグレード"の2箇所は【v2.6】となっていました。

この場合、上述の Facebook for developpers にログイン → 左メニュー:設定 > 詳細設定 の【v2.6】を【v2.8】に変更すれば良いという認識でよいものでしょうか?
(※古いバージョンへは戻せないという旨のメッセージが表示されるため、念の為事前に確認したいと思っております)

期限が迫っていることもあり、おわかりになる方いらっしゃいましたら何卒ご教示のほどよろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

この場合、上述の Facebook for developpers にログイン → 左メニュー:設定 > 詳細設定 の【v2.6】を【v2.8】に変更すれば良いという認識でよいものでしょうか?

こちらの認識であっております。
2.8で変更された箇所があるので, ドキュメントで該当部分の内容を見て
アプリケーションへの影響を確認してからの変更をおすすめします。

https://developers.facebook.com/docs/graph-api/changelog/version2.8

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/07/06 18:04

    返信が遅くなり申し訳ございません。ご回答いただき誠にありがとうございました。

    サイト上はv2.8を読み込み現在は問題なく動いているため、ひとまずは管理画面上のバージョンを上げて、アラートが出ないよう対策をしようと思います。改めてありがとうございました。

    キャンセル

  • 2018/07/06 20:26

    よかったです!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.50%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Facebook

    403questions

    Facebookは、実名登録制のSNS(ソーシャル・ネットワーキング・サービス)です。開発者用のデベロッパーサイトが存在し、一般ユーザーによるFacebook向けアプリケーション開発が可能です。

  • SDK

    121questions

    SDK(software development kit)は特定のハードウェアのプラットフォーム、開発環境又はソフトウェアパッケージでソフトウェアをつくるのに必要な開発ツールのセットです。SDKはAPI、IDE又は他の開発ツールとフレームワークを組み合わせたもので構成されていることがあります。

  • Facebook Graph API

    116questions

    Facebook Graph APIとは Facebookのグラフデータベース用のAPIであり、対応言語はPHP、Perl、ActionScript、JavaScriptなどがあります。